=== debian/changelog ===
kdevelop-python (5.4.2-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Sep 2019 08:13:31 +0100

kdevelop-python (5.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.2, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 20:17:51 +0200

kdevelop-python (5.4.2-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (5.4.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 12:31:00 +0100

kdevelop-python (5.4.1-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 17 Aug 2019 11:36:12 +0100

kdevelop-python (5.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Aug 2019 18:12:19 +0200

kdevelop-python (5.4.0-2ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 13 Aug 2019 10:10:11 +0100

kdevelop-python (5.4.0-2) unstable; urgency=medium

  * Actually bump the kdevelop-dev build dependency to >= 4:5.4.0.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 11:15:42 +0200

kdevelop-python (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to >= 5.7.0
    - bump the KF packages to >= 5.28.0
    - bump kdevelop-dev to >= 5.4.0
    - explicitly add gettext
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 10:10:43 +0200

kdevelop-python (5.3.3-1ubuntu1) eoan; urgency=medium

  * Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    - Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    - Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Jul 2019 15:26:10 +0100
