=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove extra "license" files
	find debian/tmp -name COPYING -print -delete

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_auto_test
