=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 3.0),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.28.0),
+               extra-cmake-modules (>= 5.59~),
                gettext,
                qtbase5-dev (>= 5.7.0),
                libkf5i18n-dev (>= 5.28.0),
@@ -15,10 +15,10 @@
                libkf5newstuff-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.4.2),
+               kdevelop-dev (>= 4:5.4.6),
                pkg-kde-tools (>= 0.15.16),
                python3.7-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
