=== debian/changelog ===
kdevelop-python (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Enable all the reprotest variations in the salsa CI.
  * Bump the kdevelop-dev build dependency to 5.5.0, as indicated by the
    upstream build system.
  * Use an environment variable for the version of plugins, to minimize changes
    to kdevelop-python.install
    - add the dh-exec build dependency
    - override the lintian info on that
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update the Python (build) dependencies according to the new supported
    version:
    - switch the python3.7-dev build dependency to python3.8-dev
    - switch the python3.7 dependency to python3.8

 -- Pino Toscano <pino@debian.org>  Thu, 13 Feb 2020 21:38:38 +0100
