=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Pino Toscano <pino@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
+               dh-exec,
                extra-cmake-modules (>= 5.59~),
                gettext,
                qtbase5-dev (>= 5.7.0),
@@ -15,17 +16,17 @@
                libkf5newstuff-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.4.6),
+               kdevelop-dev (>= 4:5.5.0),
                pkg-kde-tools (>= 0.15.16),
-               python3.7-dev,
-Standards-Version: 4.4.1
+               python3.8-dev,
+Standards-Version: 4.5.0
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.7,
+Depends: python3.8,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop, pycodestyle, python3-autopep8
