=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+
+# from kdevelop
+export KDEV_PLUGIN_VERSION=33
 
 %:
 	dh $@ --with kf5
