=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
                libkf5newstuff-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.5.0),
+               kdevelop-dev (>= 4:5.5.2),
                pkg-kde-tools (>= 0.15.16),
                python3.8-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
