=== debian/changelog ===
kdevelop-python (5.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.2, as indicated by the
    upstream build system.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Feb 2021 10:24:33 +0100

kdevelop-python (5.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.1, as indicated by the
    upstream build system.
  * Remove the unused upstream GPG signing key.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Dec 2020 10:16:25 +0100

kdevelop-python (5.6.0-2) unstable; urgency=medium

  * Update the Python (build) dependencies according to the new default
    version in Debian:
    - switch the python3.8-dev build dependency to python3.9-dev
    - switch the python3.8 dependency to python3.9
  * Bump Standards-Version to 4.5.1, no changes required.
  * Switch the watch file to version 4, no changes required.
  * Add the upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Fri, 20 Nov 2020 09:54:12 +0100

kdevelop-python (5.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.0, as indicated by the
    upstream build system.
  * Bump KDEV_PLUGIN_VERSION to 34, according to upstream.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 16:51:17 +0200
