=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pino Toscano <pino@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 3.0),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                extra-cmake-modules (>= 5.59~),
                gettext,
@@ -16,10 +16,10 @@
                libkf5newstuff-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.5.2),
+               kdevelop-dev (>= 4:5.6.2),
                pkg-kde-tools (>= 0.15.16),
-               python3.8-dev,
-Standards-Version: 4.5.0
+               python3.9-dev,
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
@@ -27,7 +27,7 @@
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.8,
+Depends: python3.9,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop, pycodestyle, python3-autopep8
