=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# from kdevelop
export KDEV_PLUGIN_VERSION=34

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove extra "license" files
	find debian/tmp -name COPYING -print -delete

.PHONY: override_dh_auto_test
