## kdevelop-python 22.12.0

=== debian/changelog ===
kdevelop-python (22.12.0-3) unstable; urgency=medium

  * Drop upstream_support-for-the-most-basic-cases-of-python-3.10-s-ma.patch:
    it is buggy, and upstream does not want it in stable versions yet (sigh).
    (Closes: #1027845)

 -- Pino Toscano <pino@debian.org>  Thu, 05 Jan 2023 08:43:56 +0100

kdevelop-python (22.12.0-2) unstable; urgency=medium

  * Update python3.10-dev build dependency to improve cross-building:
    - add libpython3.10-dev to ensure we have the development bits for the
      Python library we want
    - add python3.10:any to get a valid Python executable; the path is the
      same across all the architectures
    - drop python3.10-dev, replaced by the above two
  * Backport upstream commit 4bcec08fb400b7e5aeacd23c0c9649036627a06b, and
    commit c4ec40a9cac3e59930eb21a525d80aefdc1ee4e4 to support Python 3.11,
    and newer bits in Python 3.10+; patches
    upstream_initial-support-for-python-3.11.patch, and
    upstream_support-for-the-most-basic-cases-of-python-3.10-s-ma.patch.
  * Update the Python (build) dependencies according to the highest Python
    version in Debian:
    - switch the libpython3.10-dev build dependency to libpython3.11-dev
    - switch the python3.10:any build dependency to python3.11:any
    - switch the python3.10 dependency to python3.11

 -- Pino Toscano <pino@debian.org>  Wed, 28 Dec 2022 08:15:15 +0100

kdevelop-python (22.12.0-1) unstable; urgency=medium

  * New upstream release:
    - supports Python 3.10 (needed for #1008694)
  * Update standards version to 4.6.2, no changes needed.
  * Bump the kdevelop-dev build dependency to 22.12.0, as indicated by the
    upstream build system.
  * Update the Python (build) dependencies according to the current default
    version in Debian: (Closes: #1008694)
    - switch the python3.9-dev build dependency to python3.10-dev
    - switch the python3.9 dependency to python3.10
  * Bump KDEV_PLUGIN_VERSION to 510, according to upstream.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 21:38:07 +0100

kdevelop-python (22.04.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * kdevelop-python is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.78.0
    - bump kdevelop-dev to 22.04.1
  * Bump KDEV_PLUGIN_VERSION to 36, according to upstream.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop the manually specified kf5 addon for dh
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Remove inactive Uploaders.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 11:03:57 +0200

kdevelop-python (5.6.2-2) unstable; urgency=medium

  * Use the debhelper 13 replacement features in install files:
    - switch from ${KDEV_PLUGIN_VERSION} to ${env:KDEV_PLUGIN_VERSION}
    - remove the dh-exec build dependency, no more needed
    - remove the lintian override for the old method
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.
  * Use the ${misc:Pre-Depends} substvar in kdevelop-python-data.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Sep 2021 07:11:13 +0200
