=== debian/control ===
--- 
+++ 
@@ -3,31 +3,30 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-           Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cmake (>= 3.0),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-exec,
-               extra-cmake-modules (>= 5.59~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.78.0~),
                gettext,
-               qtbase5-dev (>= 5.7.0),
-               libkf5i18n-dev (>= 5.28.0),
-               libkf5itemmodels-dev (>= 5.28.0),
-               libkf5kcmutils-dev (>= 5.28.0),
-               libkf5newstuff-dev (>= 5.28.0),
-               libkf5texteditor-dev (>= 5.28.0),
-               libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.6.2),
-               pkg-kde-tools (>= 0.15.16),
-               python3.9-dev,
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5itemmodels-dev (>= 5.78.0~),
+               libkf5kcmutils-dev (>= 5.78.0~),
+               libkf5newstuff-dev (>= 5.78.0~),
+               libkf5texteditor-dev (>= 5.78.0~),
+               libkf5threadweaver-dev (>= 5.78.0~),
+               kdevelop-dev (>= 4:22.12.0~),
+               libpython3.11-dev,
+               python3.11:any,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.9,
+Depends: python3.11,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop, pycodestyle, python3-autopep8
@@ -42,6 +41,7 @@
 
 Package: kdevelop-python-data
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Description: Python 3 plugin for KDevelop - data files
  KDevelop is an easy to use integrated development environment for KDE.
