## kdevelop-python 22.12.2

=== debugger/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
     HEADER debuggerdebug.h
     IDENTIFIER KDEV_PYTHON_DEBUGGER
     CATEGORY_NAME "kdevelop.plugins.python.debugger"
+    DESCRIPTION "KDevelop plugin: Python language support - debugger"
+    EXPORT KDEVPYTHON
 )
 
 kdevplatform_add_plugin(kdevpdb JSON kdevpdb.json SOURCES ${kdevpdb_PART_SRCS})
