=== debian/changelog ===
kdevelop-python (22.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 22.12.2, as indicated by the
    upstream build system.
  * Update the patches:
    - upstream_initial-support-for-python-3.11.patch: drop, backported from
      upstream

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 12:59:51 +0100
