=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5newstuff-dev (>= 5.78.0~),
                libkf5texteditor-dev (>= 5.78.0~),
                libkf5threadweaver-dev (>= 5.78.0~),
-               kdevelop-dev (>= 4:22.12.0~),
+               kdevelop-dev (>= 4:22.12.2~),
                libpython3.11-dev,
                python3.11:any,
 Standards-Version: 4.6.2
