=== debian/rules ===
#!/usr/bin/make -f

# from kdevelop
export KDEV_PLUGIN_VERSION=510

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove extra "license" files
	find debian/tmp -name COPYING -print -delete

.PHONY: override_dh_auto_test
