## kdevelop-python 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,28 @@
-cmake_minimum_required(VERSION 3.0)
-project(kdevpython VERSION 5.6.2)
+cmake_minimum_required(VERSION 3.16)
+
+# KDE Gear version, managed by release service script
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
+
+# generate patch level from release service version
+set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
+if (_micro LESS "10")
+    string(PREPEND _micro "0") # pad with 0
+endif()
+set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")
+
+project(kdevpython VERSION "5.7.${RELEASE_SERVICE_BASED_PATCHLEVEL}")
 
 # KDevplatform dependency version
 set(KDEVPLATFORM_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
 
-find_package (ECM "5.28.0" REQUIRED NO_MODULE)
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED YES)
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_DEP_VERSION "5.78.0")
+
+find_package (ECM ${KF5_DEP_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${kdevpython_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -17,12 +35,6 @@
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 
-if(POLICY CMP0071)
-    # Avoids compat messages from CMake 3.10+, with Qt < 5.9.4
-    # See https://bugreports.qt.io/browse/QTBUG-63442
-    cmake_policy(SET CMP0071 OLD)
-endif()
-
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
 endif()
@@ -31,7 +43,7 @@
 
 # CMake looks for exactly the specified version first and ignores newer versions.
 # To avoid that, start looking for the newest supported version and work down.
-set(Python_ADDITIONAL_VERSIONS 3.9 3.8 3.7 3.6 3.5 3.4)
+set(Python_ADDITIONAL_VERSIONS 3.11 3.10 3.9 3.8 3.7 3.6 3.5 3.4)
 foreach(_PYTHON_V ${Python_ADDITIONAL_VERSIONS})
     find_package(PythonInterp ${_PYTHON_V})
     if ( PYTHONINTERP_FOUND )
@@ -49,14 +61,12 @@
 endif()
 
 if ( NOT PYTHONLIBS_FOUND OR PYTHONLIBS_VERSION_STRING VERSION_LESS "3.4.3" )
-    message(FATAL_ERROR "Python >= 3.4.3 but < 3.10 with --enable-shared is required to build kdev-python")
+    message(FATAL_ERROR "Python >= 3.4.3 but < 3.12 with --enable-shared is required to build kdev-python")
 endif()
 
 configure_file(kdevpythonversion.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/kdevpythonversion.h" @ONLY)
 
-set(QT_MIN_VERSION "5.7.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)
-set(KF5_DEP_VERSION "5.28.0")
 find_package(KF5 ${KF5_DEP_VERSION} REQUIRED
     I18n
     ThreadWeaver
@@ -109,11 +119,15 @@
     HEADER codegendebug.h
     IDENTIFIER KDEV_PYTHON_CODEGEN
     CATEGORY_NAME "kdevelop.plugins.python.codegen"
+    DESCRIPTION "KDevelop plugin: Python language support - codegen"
+    EXPORT KDEVPYTHON
 )
 ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
     HEADER pythondebug.h
     IDENTIFIER KDEV_PYTHON
     CATEGORY_NAME "kdevelop.plugins.python"
+    DESCRIPTION "KDevelop plugin: Python language support"
+    EXPORT KDEVPYTHON
 )
 
 ki18n_wrap_ui(kdevpythonlanguagesupport_PART_SRCS
@@ -145,17 +159,11 @@
 install(FILES org.kde.kdev-python.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # kdebugsettings file
-# kdebugsettings >= 18.12 supports/pushes for some newer, not backward-compatible format.
-# For ECM >= 5.59 we install categories files to new location, which is only supported by
-# newer kdebugsettings also supporting the new content format, so we use that as base.
-if (ECM_VERSION VERSION_GREATER "5.58.0")
-    install(FILES kdevpythonsupport-newformat.categories RENAME kdevpythonsupport.categories
-        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
-    )
-else()
-    install(FILES kdevpythonsupport-oldformat.categories RENAME kdevpythonsupport.categories
-        DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
+ecm_qt_install_logging_categories(
+    EXPORT KDEVPYTHON
+    FILE kdevpythonsupport.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
 
 ki18n_install(po)
