=== debian/changelog ===
kdevelop-python (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:37:26 +0000

kdevelop-python (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)
  * Remove reverse-applicable upstream patch.

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:15:48 -0600

kdevelop-python (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:14:16 +0000

kdevelop-python (22.12.0-3ubuntu1) lunar; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 10:00:34 +0000
