## kdevelop-python 23.08.1

=== debian/changelog ===
kdevelop-python (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:58:33 +0100

kdevelop-python (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:53:27 +0100

kdevelop-python (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:18 +0100

kdevelop-python (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:46:03 +0100

kdevelop-python (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Adjust KDEV_PLUGIN_VERSION=511 in debian/rules
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:23 +0100
