=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:22.12.3~),
+               kdevelop-dev (>= 4:23.08.1~),
                libkf5i18n-dev (>= 5.78.0~),
                libkf5itemmodels-dev (>= 5.78.0~),
                libkf5kcmutils-dev (>= 5.78.0~),
