=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:23.08.1~),
+               kdevelop-dev (>= 4:23.08.5~),
                libkf5i18n-dev (>= 5.78.0~),
                libkf5itemmodels-dev (>= 5.78.0~),
                libkf5kcmutils-dev (>= 5.78.0~),
                libkf5newstuff-dev (>= 5.78.0~),
                libkf5texteditor-dev (>= 5.78.0~),
                libkf5threadweaver-dev (>= 5.78.0~),
-               libpython3.11-dev,
-               python3.11:any,
+               libpython3.12-dev,
+               python3.12:any,
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -27,7 +27,7 @@
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.11,
+Depends: python3.12,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop, pycodestyle, python3-autopep8
