=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=510
+export KDEV_PLUGIN_VERSION=512
 
 %:
 	dh $@
